import { FeatureGroup, Map } from 'leaflet';
export declare class AgromaxCamada<T extends number | null = number> {
    color: any;
    name: T;
    private map;
    id: number;
    private _featureGroup;
    isEnable: boolean;
    constructor(color: any, featureGroup: FeatureGroup, name: T, map: Map, id: number);
    featureGroup: FeatureGroup;
    disable(): void;
    enable(): void;
    zoom(): void;
}
